Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597005 - ksmtune: typo: MemCached -> Cached
Summary: ksmtune: typo: MemCached -> Cached
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dan Kenigsberg
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 22:04 UTC by Dan Kenigsberg
Modified: 2010-11-10 18:55 UTC (History)
4 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.70.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 07:19:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dan Kenigsberg 2010-05-27 22:04:51 UTC
Description of problem:
ksmtune does not take account of cached pages as it should due to a typo when reading /proc/meminfo

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.59.el6.x86_64

The fix is simple and accepted "upstream" 

Index: ksmtuned
===================================================================
RCS file: /cvs/dist/rpms/qemu-kvm/RHEL-6/ksmtuned,v
retrieving revision 1.2
diff -u -r1.2 ksmtuned
--- ksmtuned	6 Apr 2010 16:00:05 -0000	1.2
+++ ksmtuned	27 May 2010 22:02:14 -0000
@@ -75,7 +75,7 @@
 }
 
 free_memory () {
-    awk '/^(MemFree|Buffers|MemCached):/ {free += $2}; END {print free}' \
+    awk '/^(MemFree|Buffers|Cached):/ {free += $2}; END {print free}' \
                 /proc/meminfo
 }

Comment 1 RHEL Product and Program Management 2010-05-27 22:15:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 lihuang 2010-06-09 12:46:49 UTC
verified in qemu-kvm-0.12.1.2-2.71.el6
[root@t78 ~]# grep  -n Cached /usr/sbin/ksmtuned 
78:    awk '/^(MemFree|Buffers|Cached):/ {free += $2}; END {print free}' \
[root@t78 ~]# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.71.el6.x86_64


Note You need to log in before you can comment on or make changes to this bug.